Skip to main content
POST
/
api
/
v1
/
guidelines
Create Guideline
curl --request POST \
  --url https://api.example.com/api/v1/guidelines \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "title": "<string>",
  "board_id": "<string>",
  "scope": "global",
  "tags": [
    "<string>"
  ]
}
'
{
  "board_id": "<string>",
  "content": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "owner_id": "<string>",
  "scope": "<string>",
  "tags": [
    "<string>"
  ],
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Schema for creating a guideline.

content
string
required
Minimum string length: 1
title
string
required
Required string length: 1 - 500
board_id
string | null
scope
string
default:global
tags
string[] | null

Response

Successful Response

Schema for guideline response.

board_id
string | null
required
content
string
required
created_at
string<date-time>
required
id
string
required
owner_id
string
required
scope
string
required
tags
string[] | null
required
title
string
required
updated_at
string<date-time>
required
Last modified on May 8, 2026